local save = require("#Celeste.Mod.CrossoverCollab.Code.PointsStuff.PointsModule")

--returns an int that equals their points
function getpoints()
    return save.SaveData:GetPoints();
end

function addflag(flag)
    save.SaveData:AddFlag(flag)
end

function onTalk()

	disableMovement()
	disableRetry()
	if getFlag("isNight") then
		say("CC_Lobby_Shop_Night")
	else
		if getpoints() == 0 then -- Shop sign. Come back later.
			makeUnskippable()
			postcard("CC_Lobby_Shop_Sign","event:/game/03_resort/memo_in","event:/game/03_resort/memo_out")
			addflag("shop_readSign")
			onEnd()
			endCutscene()
		end
	end
end

function onEnd()
	enableMovement()
	enableRetry()
end